mktemp(1)

NAME
mktemp - Create a temporary file or directory.

SYNOPSIS
mktemp [-d|--directory] [-u|--dry-run] [-q|--quiet] [--suffix] [-p ] [--tmpdir] [-t ] [-h|--help] [-V|--version] [template]

DESCRIPTION
Create a temporary file or directory.

OPTIONS

-d, --directory
    Make a directory instead of a file

-u, --dry-run
    do not create anything; merely print a name (unsafe)

-q, --quiet
    Fail silently if an error occurs.

--suffix <SUFFIX>
    append SUFFIX to TEMPLATE; SUFFIX must not contain a path separator. This option is implied if TEMPLATE does not end with X.

-p <DIR>
    short form of --tmpdir

--tmpdir[=<DIR>]
    interpret TEMPLATE relative to DIR; if DIR is not specified, use $TMPDIR ($TMP on windows) if set, else /tmp. With this option, TEMPLATE must not be an absolute name; unlike with -t, TEMPLATE may contain slashes, but mktemp creates only the final component

-t  Generate a template (using the supplied prefix and TMPDIR (TMP on windows) if set) to create a filename template [deprecated]

-h, --help
    Print help

-V, --version
    Print version

[template]

VERSION
v(uutils coreutils) 0.2.2